## How to contribute to Little Go

First off, thanks for taking an interest in this project and the time to make a contribution.

### Did you find a bug?

Please take a moment to search on GitHub under [Issues](https://github.com/herzbube/littlego/issues) if the bug has already been reported.

If you're unable to find an issue addressing the problem, [open a new one](https://github.com/herzbube/littlego/issues/new). Be sure to include a **title and clear description** and as much relevant information as possible. Structuring the issue into

1. Steps to reproduce, and
2. An expected/actual result

would be much appreciated.

### Did you write a patch that fixes a bug?

Open a new GitHub pull request (PR) with the patch. Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

Before submitting, please read the [CodingGuidelines](doc/CodingGuidelines) document to know more about the project's coding conventions.

### Do you intend to add a new feature or change an existing one?

Before you dive into writing code you should suggest your change on GitHub under [Discussions](https://github.com/herzbube/littlego/discussions). Once you get positive feedback you are good to go.

Eventually you will need to contribute your change back into the main repository via GitHub pull request. Please read the [CodingGuidelines](doc/CodingGuidelines) document before you've gone too far so that you don't have to do annoying formatting work on your PR.

### Other contributions

Other forms of contributions, such as UI design, beta testing, creating an app video preview or website design, are also welcome. Please head over to GitHub and ask for details under [Discussions](https://github.com/herzbube/littlego/discussions).
